// These variables are needed to display the webcam and results
let video;
let classifier;
let resultsP;

function setup() {
    
  createCanvas(0,0);
  // Camera input
  video = createCapture(VIDEO);
  // Initializing the image classifier
  classifier = ml5.imageClassifier('MobileNet', video, preLoad);
  resultsP = createP('Loading...');
}

//
function preLoad() {
  console.log('Ready');
  classifyVideo();
}

// Webcam will predict results once an object is displayed
function classifyVideo() {
  classifier.classify(gotResult);
}

// The results
function gotResult(err, results) {
  resultsP.html(results[0].label + ' ' + nf(results[0].confidence, 0, 5));
  classifyVideo();
}
